rte_ether_hdr(3)

NAME
rte_ether_hdr

SYNOPSIS

#include <rte_ether.h>

  Data Fields

struct rte_ether_addr dst_addr
struct rte_ether_addr src_addr
rte_be16_t ether_type

Detailed Description

Ethernet header: Contains the destination address, source address and frame type.

Definition at line 300 of file rte_ether.h.

Field Documentation

  struct rte_ether_addr dst_addr
Destination address.

Definition at line 301 of file rte_ether.h.

  struct rte_ether_addr src_addr
Source address.

Definition at line 302 of file rte_ether.h.

  rte_be16_t ether_type
Frame type.

Definition at line 303 of file rte_ether.h.

Author

Generated automatically by Doxygen for DPDK from the source code.